#!/bin/sh
#
# Creates a .tar.bz2 archive of the development directory.
#
# Expects the name of the archive (without extension) as parameter.
#
# If the archive exists yet, the old archive will be deleted.
SCRIPTDIR=`pwd`



echo "Creating archives"
cd ${SCRIPTDIR}/../.. && rm -f ./$1-devel-doc-$2.tar && rm -f ./$1-devel-doc-$2.tar.bz2 && tar -cf $1-devel-doc-$2.tar kstreamripper/apidoc && bzip2 ./$1-devel-doc-$2.tar
cd ${SCRIPTDIR} && ./remove-old-apidoc.sh
cd ${SCRIPTDIR}/../.. && rm -f ./$1-$2.tar && rm -f ./$1-$2.tar.bz2 && tar -cf $1-$2.tar kstreamripper && bzip2 ./$1-$2.tar
cp ${SCRIPTDIR}/../rpm/*.spec ${SCRIPTDIR}/../..
echo "Done creating archives"